ReferenceAutomationsConnections
Create a delivery connection with write-only credentials
Create a delivery connection with write-only credentials - POST /automations/connections. DocDealer REST API reference.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/automations/connections" \ -H "Content-Type: application/json" \ -d '{ "configuration": { "baseUrl": "http://example.com", "kind": "https" }, "credentials": { "type": "none" }, "enabled": true, "name": "string" }'{ "configuration": { "baseUrl": "http://example.com", "idempotencyHeader": "string", "kind": "https" }, "enabled": true, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "https", "name": "string", "revision": 0}List delivery connections without credentials GET
List delivery connections without credentials - GET /automations/connections. DocDealer REST API reference.
Update delivery connection or rotate write-only credentials PUT
Update delivery connection or rotate write-only credentials - PUT /automations/connections/{id}. DocDealer REST API reference.